Subject: Re: [PATCH 1/6] powerpc: Use lwarx hint in spinlocks

From: Nick Piggin <[email-masked]>
Date: Wed, 17 Feb 2010 21:22:15 +1100

On Wed, Feb 17, 2010 at 08:37:14PM +1100, Anton Blanchard wrote:
>  
> Hi Nick,
> 
> > Cool. How does it go when there are significant amount of instructions
> > between the lock and the unlock? A real(ish) workload, like dbench on
> > ramdisk (which should hit the dcache lock).
> 
> Good question, I'll see if we can see a difference on dbench.

Well I misread your benchmark. Your test is using pthread mutexes in
order to basically exercise kernel's syscall and context switching and
futex code. Wheras I thought it was just a trivial lock/unlock
sequence being tested.

So I'm much more impressed with your numbers :) dbench would still
be interesting though.